/*
	File:		TLinkedList.h

	Contains:	Class for a lame linked list
				
	Written by: Kent Miller
	
	Copyright:	 1995 Apple Computer

	Change History (most recent first):
	 
 */

#ifndef		_TLINKEDLIST_
#define		_TLINKEDLIST_

class	TLinkedList
	{
public:
							TLinkedList();
	virtual 				~TLinkedList();

	virtual void			AddToList(void * obj);
	virtual void *			RemoveFromList(void * obj);
	virtual void *			GetFirstListElem(void);
	virtual void *			GetNextListElem(void * obj);

	virtual	short			CountListItems(void);

protected:
//variables go here
struct ListElem 
	{
	void 		*elem;
	ListElem 	*next;
	};

	ListElem 	*head;

//public:
//	virtual void			SpinHeaderArrows();
	};

#endif
